OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_ListIteratorOfListOfByte Class Reference

`#include <TDataStd_ListIteratorOfListOfByte.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_ListIteratorOfListOfByte ()
Standard_EXPORT | TDataStd_ListIteratorOfListOfByte (const TDataStd_ListOfByte &L)
Standard_EXPORT void | Initialize (const TDataStd_ListOfByte &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_Byte & | Value () const
## Private Attributes
Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_ListIteratorOfListOfByte::TDataStd_ListIteratorOfListOfByte | ( |  | ) |

Standard_EXPORT TDataStd_ListIteratorOfListOfByte::TDataStd_ListIteratorOfListOfByte | ( | const TDataStd_ListOfByte & | L | ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_ListIteratorOfListOfByte::Initialize | ( | const TDataStd_ListOfByte & | L | ) |

Standard_Boolean TDataStd_ListIteratorOfListOfByte::More | ( |  | ) | const

Standard_EXPORT void TDataStd_ListIteratorOfListOfByte::Next | ( |  | ) |

void TDataStd_ListIteratorOfListOfByte::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_ListIteratorOfListOfByte::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_ListIteratorOfListOfByte::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Byte& TDataStd_ListIteratorOfListOfByte::Value | ( |  | ) | const

## Field Documentation

Standard_Address TDataStd_ListIteratorOfListOfByte::current`[private]`

Standard_Address TDataStd_ListIteratorOfListOfByte::previous`[private]`

The documentation for this class was generated from the following file:

- TDataStd_ListIteratorOfListOfByte.hxx